Bug 621289 - [abrt] crash in exaile-0.3.2.0-1.fc13: trackdb.py:62:next:RuntimeError: dictionary changed size during iteration
Summary: [abrt] crash in exaile-0.3.2.0-1.fc13: trackdb.py:62:next:RuntimeError: dicti...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: exaile   
(Show other bugs)
Version: 13
Hardware: x86_64 Linux
low
medium
Target Milestone: ---
Assignee: Deji Akingunola
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:a41c618a
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-08-04 17:20 UTC by Steve Dowe
Modified: 2011-03-28 19:26 UTC (History)
2 users (show)

Fixed In Version: exaile-0.3.2.1-1.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-03-28 19:26:12 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (817 bytes, text/plain)
2010-08-04 17:20 UTC, Steve Dowe
no flags Details

Description Steve Dowe 2010-08-04 17:20:30 UTC
abrt 1.1.1 detected a crash.

architecture: x86_64
cmdline: python /usr/lib/python2.6/site-packages/exaile/exaile.py --datadir=/usr/share/exaile/data --startgui
comment: Performed actions as per the reproduce steps given
component: exaile
executable: /usr/lib/python2.6/site-packages/exaile/exaile.py
kernel: 2.6.33.6-147.2.4.fc13.x86_64
package: exaile-0.3.2.0-1.fc13
reason: trackdb.py:62:next:RuntimeError: dictionary changed size during iteration
release: Fedora release 13 (Goddard)

backtrace
-----
trackdb.py:62:next:RuntimeError: dictionary changed size during iteration

Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/exaile/xlgui/panel/playlists.py", line 294, in open_item
    item = item.get_playlist(self.collection)
  File "/usr/lib/python2.6/site-packages/exaile/xl/playlist.py", line 1095, in get_playlist
    trs = [ t.track for t in trax.search_tracks(collection, [matcher]) ]
  File "/usr/lib/python2.6/site-packages/exaile/xl/trax/search.py", line 431, in search_tracks
    for srtr in trackiter:
  File "/usr/lib/python2.6/site-packages/exaile/xl/trax/trackdb.py", line 62, in next
    return self.iter.next()[1]._track
RuntimeError: dictionary changed size during iteration

Local variables in innermost frame:
self: <xl.trax.trackdb.TrackDBIterator object at 0x96e9850>

How to reproduce
-----
1. Add a new folder in the collection manager
2. Ok that, then while Exaile is scanning the new folder highlight all tracks (CTRL-A) in the "now playing" playlist, right-click and select "Remove"
3.

Comment 1 Steve Dowe 2010-08-04 17:20:32 UTC
Created attachment 436609 [details]
File: backtrace

Comment 2 Edson Dino Salvati 2011-02-11 20:55:41 UTC
Package: exaile-0.3.2.0-2.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. Started cover manager
2.
3.

Comment 3 Fedora Update System 2011-03-04 15:50:15 UTC
Package exaile-0.3.2.1-1.fc13:
* should fix your issue,
* was pushed to the Fedora 13 updates-testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing exaile-0.3.2.1-1.fc13'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/exaile-0.3.2.1-1.fc13
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2011-03-05 02:23:00 UTC
exaile-0.3.2.1-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update exaile'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/exaile-0.3.2.1-1.fc13

Comment 5 Fedora Update System 2011-03-28 19:23:42 UTC
exaile-0.3.2.1-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.